import axios from "@/utils/request";

export function getTraceOrderList(query) {
  return axios({
    url: '/udi/trace/order/filter',
    method: 'get',
    params: query
  })
}
//查询记录
export function getTraceRecordList(query) {
  return axios({
    url: '/udi/trace/record/filter',
    method: 'get',
    params: query
  })
}
//生产信息
export function getTraceManuOrderList(query) {
  return axios({
    url: '/udi/trace/manu/order/filter',
    method: 'get',
    params: query
  })
}

export function getManuCodeRelList(query) {
  return axios({
    url: '/udi/trace/manu/order/relCode',
    method: 'get',
    params: query
  })
}

export function filterCpmctymc(query) {
  return axios({
    url: "/udi/basic/dict/filterCpmctymc",
    method: "get",
    params: query
  });
}

export function filterGgxh(query) {
  return axios({
    url: "/udi/basic/dict/filterGgxh",
    method: "get",
    params: query
  });
}

export function filterCompanyName(query) {
  return axios({
    url: "/udi/auth/user/comapny/filterCompanyName",
    method: "get",
    params: query
  });
}

export function filterNameCode(query) {
  return axios({
    url: "/udi/basic/dict/filterNameCode",
    method: "get",
    params: query
  });
}

export function sourceSearch(query) {
  return axios({
    url: "/udi/trace/source/search",
    method: "get",
    params: query
  });
}

export function filterylqxzcrbarmc(query) {
  return axios({
    url: "/udi/basic/dict/filterylqxzcrbarmc",
    method: "get",
    params: query
  });
}


//任务列表
export function getTraceTaskList(query) {
  return axios({
    url: 'udi/trace/task/filter',
    method: 'get',
    params: query
  })
}
